Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class SessionManagerFactory

    java.lang.Object
      |
      +--com.novell.service.session.SessionManagerFactory

public class SessionManagerFactory
extends java.lang.Object

Provides a static (singleton) class used to create a SessionManager. A SessionManager is the top level object in a Session hierarchy.

See Also:
  `Session`, `SessionManager`

Method Summary
`static SessionManager` | `getPrivate(SessionEnv environment)` Returns the unique, private instance of SessionManager.
`static SessionManager` | `getSessionManager(SessionEnv environment)` Returns a shared instance of SessionManager based on the information in the environment parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSessionManager

    public static SessionManager getSessionManager(SessionEnv environment)
                                            throws SessionException

  Returns a shared instance of SessionManager based on the information in the environment parameter.
  Parameters:
    `environment` - The session environment of the SessionManager.
  Returns:
    The shared instance of the SessionManager.
  Throws:
    SessionException - Top-level exception extended by all Session exceptions and thrown by Session objects.

### getPrivate

    public static SessionManager getPrivate(SessionEnv environment)
                                     throws SessionException

  Returns the unique, private instance of SessionManager. It returns a new session manager each time called.
  Parameters:
    `environment` - The session environment of the SessionManager.
  Returns:
    The private instance of the SessionManager.
  Throws:
    SessionException - Top-level exception extended by all Session exceptions and thrown by Session objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD